package com.xunhong.erp.turbo.api.rbac.exception;

import com.xunhong.erp.turbo.base.exception.ErrorCode;

/**
 * 文件上传错误码
 */
public enum RbacErrorCode implements ErrorCode {

	/**
	 * 该权限正在被菜单使用，不能删除
	 */
	PERMISSION_USED("PERMISSION_USED", "该权限正在被菜单使用，不能删除"),
	B_RBAC_MENU_IN_ROLE_USE("B_RBAC_MENU_IN_ROLE_USE", "该菜单正在被角色使用，不能删除"),
	B_RBAC_MENU_NOT_EXIST("B_RBAC_MENU_NOT_EXIST", "菜单不存在"),
	B_RBAC_MENU_HAS_CHILDREN("B_RBAC_MENU_HAS_CHILDREN", "该菜单有子菜单，不能删除");


	private String code;

	private String message;

	RbacErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}

	@Override
	public String getCode() {
		return this.code;
	}

	@Override
	public String getMessage() {
		return this.message;
	}
}
